import { Options, SelectionBounds, TextSelection } from './types.js';
export declare class TextareaSelectionBounds {
    private readonly _textArea;
    private readonly _options;
    private readonly _cache;
    private _computedTextAreaStyle;
    constructor(textArea: HTMLTextAreaElement, options?: Partial<Options>);
    deleteStyleCache(): void;
    private getAllKeysStartingWith;
    private get relevantStyles();
    getCurrentSelection(): TextSelection;
    getBounds(): SelectionBounds;
    private compareCache;
    getBoundsForSelection(selection: TextSelection): SelectionBounds;
}
